Bug 910483 (bovo)

Summary: Review Request: bovo - Five in a row game
Product: [Fedora] Fedora Reporter: Rex Dieter <rdieter>
Component: Package ReviewAssignee: nucleo <alekcejk>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: alekcejk, kevin, ltinkl, notting, package-review, than
Target Milestone: ---Flags: alekcejk: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-14 11:15:47 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 908920    
Bug Blocks: 656997, 907993    

Description Rex Dieter 2013-02-12 13:09:00 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/bovo.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/bovo-4.10.0-1.fc18.src.rpm
Description: A Gomoku-like game for two players
Fedora Account System Username: rdieter
Comment 1 nucleo 2013-02-13 15:16:27 EST
Code under GPLv2+ license, doc under GFDL, so license tag must be:

License: GPLv2+ and GFDL

COPYING.DOC must be added in %doc, also AUTHORS should be added.

More useful %description from documentation:

Bovo is a Gomoku like game for two players, where the opponents alternate
in placing their respective pictogram on the game board. The aim of this
game is to connect five of your own pieces in an unbroken row vertically,
horizontally or diagonally.

rpmlint output:
$ rpmlint bovo-4.10.0-1.fc18.i686.rpm bovo-debuginfo-4.10.0-1.fc18.i686.rpm bovo-4.10.0-1.fc18.src.rpm bovo.spec 
bovo.i686: W: no-manual-page-for-binary bovo
bovo.src:66: W: macro-in-comment %{name}
bovo.src:67: W: macro-in-comment %{name}
bovo.spec:66: W: macro-in-comment %{name}
bovo.spec:67: W: macro-in-comment %{name}
3 packages and 1 specfiles checked; 0 errors, 5 warnings.

Those commented lines should be removed.
Comment 2 Rex Dieter 2013-02-13 15:53:51 EST
Spec URL: http://rdieter.fedorapeople.org/rpms/kdegames/bovo.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/kdegames/bovo-4.10.0-2.fc18.src.rpm

%changelog
* Wed Feb 13 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.0-2
- License: GPLv2+ and GFDL
- update %%description
Comment 3 nucleo 2013-02-13 15:58:11 EST
MUST Items:
+ rpmlint output
  $ rpmlint bovo-4.10.0-1.fc18.i686.rpm bovo-debuginfo-4.10.0-1.fc18.i686.rpm bovo-4.10.0-2.fc18.src.rpm bovo.spec 
    bovo.i686: W: no-manual-page-for-binary bovo
    bovo.src: W: spelling-error %description -l en_US pictogram -> pictograph
    3 packages and 1 specfiles checked; 0 errors, 2 warnings.
+ named and versioned according to the Package Naming Guidelines.
  Package name match the upstream tarball name bovo-4.10.0.tar.xz
+ spec file name bovo.spec matches base package name
+ complies with all the legal guidelines:
  + License: LGPLv2+ and GFDL, matches actual license (added notices for parts under different licenses)
  + No known patent problems
  + No emulator, no firmware, no binary-only or prebuilt components
+ COPYING (GNU GENERAL PUBLIC LICENSE Version 2), COPYING.DOC (GNU Free Documentation License Version 1.2) packaged as %doc
+ source matches upstream:
  MD5: 453939982d65cbfb39a5b668b6ae8818  bovo-4.10.0.tar.xz
  SHA1: 34320de58e63537bc021ca1ad5280593f2cd1482  bovo-4.10.0.tar.xz
  SHA256: ef4f4e561ee230046bcd36ef2057ea920c726f622a37bb620ebb3dd663ac3719  bovo-4.10.0.tar.xz
+ builds on at least one arch
  build from mock is in F18 kde-unstable repo
+ no known non-working arches, so no ExcludeArch needed
+ no missing BuildRequires (builds in mock)
+ locales are handled properly by using %find_lang %{name} --with-kde macro
+ ldconfig call not needed (no shared libraries)
+ no duplicated system libraries
+ package not relocatable (no Prefix tag)
+ directory ownership correct (doesn't own directories owned by another package, owns all package-specific directories %{_kde4_appsdir}/%{name}/)
+ no duplicate files in %files
+ permissions correct, %defattr(-,root,root,-) not needed now, executables have executable permissions
+ macros used where possible (%{name}, %{version}, %{buildroot}, %{_target_platform}, %{cmake_kde4}, %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir} )
+ non-code content: only permitted content, game themes under license that matches the code
+ no large documentation files, so no -doc package needed
+ no %doc files required at runtime
+ no header files, no -devel package needed
+ no static libraries, so no -static package needed
+ no devel symlinks which would need to be in a -devel subpackage
+ devel packages must require the base package (no -devel package)
+ no .la files
+ bovo.desktop file for the GUI app bomber present
+ desktop-file-validate is used in %check and the bovo.desktop file passes validation
+ all filenames are valid UTF-8
+ other packaging guidelines:
  + complies with the Filesystem Hierarchy Standard (all files in %{_kde4_datadir}, %{_kde4_bindir}, %{_kde4_iconsdir},%{_kde4_appsdir})
  + proper changelog, tags, BuildRequires, Summary, Description (got from bomber's documentation)
  + no non-UTF-8 characters
  + all relevant documentation included as %doc (COPYING, COPYING.DOC, AUTHORS)
  + RPM_OPT_FLAGS are used in %{cmake_kde4} macro
  + debuginfo package is valid (contains stripped symbols from ELF binary and source code related to it)
  + no rpaths (no check-rpaths error)
  + no configuration files, so %config guideline doesn't apply
  + no init scripts, so init script guideline doesn't apply
  + timestamps are preserved
  + %{?_smp_mflags} used
  + not a web application, so web application guideline doesn't apply
  + no conflicts (kdegames-4.10.0 is metapackage now which not includes apps)

SHOULD Items:
+ license already included upstream
+ no translations for description and summary provided by upstream
+ package builds in mock (built for kde-unstable)
- successfully tested the package functionality (no testing yet)
+ scriptlets are sane (updating icon chache in %post, %postun, %posttrans)
+ subpackages other than devel should require the base package using a fully versioned dependency (no subpackages)
+ no .pc files, so "placement of .pc files" is irrelevant
+ no file dependencies
- package should contain man pages for binaries/scripts


APPROVED
Comment 4 nucleo 2013-02-13 17:05:39 EST
Sorry for typo
+ License: GPLv2+ and GFDL, matches actual license (added notices for parts under different licenses)
Comment 5 Rex Dieter 2013-02-14 08:51:23 EST
would like to come up with a better Summary too, that doesn't mention "Gomoku"
Comment 6 nucleo 2013-02-14 08:54:41 EST
Gomoku from Japanese 五目並べlit. "five points".
Comment 7 nucleo 2013-02-14 08:58:25 EST
maybe "A five in a row game for two players"
http://en.wikipedia.org/wiki/Gomoku
Comment 8 Rex Dieter 2013-02-14 09:00:59 EST
I think I'll go with: Five in a row game
thanks!
Comment 9 Rex Dieter 2013-02-14 09:02:21 EST
New Package SCM Request
=======================
Package Name: bovo
Short Description: Five in a row game
Owners: than rdieter jreznik kkofler ltinkl rnovacek
Branches: f17 f18
InitialCC:
Comment 10 Jon Ciesla 2013-02-14 10:03:39 EST
Git done (by process-git-requests).
Comment 11 Rex Dieter 2013-02-14 11:15:47 EST
imported, thanks!